Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


Tag: Gradle

No se puede construir el proyecto de biblioteca Bintray Gradle – ClassNotFoundException

Todavía estoy intentando conseguir mi trabajo de la escritura del gradle, he expolered todos los registros y parece que hay algunas clases faltan. Aquí está el mensaje. org.gradle.api.GradleScriptException: A problem occurred evaluating project ':horizontalrecyclerview'. Caused by: java.lang.NoClassDefFoundError: org/gradle/api/publication/maven/internal/DefaultMavenFactory at org.gradle.api.plugins.AndroidMavenPlugin.apply(AndroidMavenPlugin.java:88) at org.gradle.api.plugins.AndroidMavenPlugin.apply(AndroidMavenPlugin.java:57) at org.gradle.api.internal.plugins.ImperativeOnlyPluginApplicator.applyImperative(Imper Caused by: java.lang.ClassNotFoundException: org.gradle.api.publication.maven.internal.DefaultMavenFactory … 51 more Aquí está mi build.gradle […]

Dónde y por qué añadir repositorios en build.gradle

Cuando Android Studio crea un proyecto, el archivo de compilación de nivel superior tiene dos definiciones de repositorios, una dentro de buildscript y otra dentro de todos los proyectos . // Top-level build file where you can add configuration options common to all sub- projects/modules. buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.9.+' […]

Kotlin: Recopilación incremental con Gradle

En el anuncio de M9 se dijo que la compilación incremental ahora es compatible. ¿Esto también funciona con Gradle, especialmente con Android? En caso afirmativo, ¿cómo habilitarlo?

La ejecución instantánea no funcionará en Android Studio, por lo que se requiere la versión Grad10 2.10. Uso 2.10

Este es el error que obtengo: Error:Gradle version 2.10 is required. Current version is 2.8. If using the gradle wrapper, try editing the distributionUrl in /Users/alinrosu/Workspace/passenger-android/gradle/wrapper/gradle-wrapper.properties to gradle-2.10-all.zip Yo uso esto dentro de mi buildscript: dependencies { classpath 'com.android.tools.build:gradle:2.0.0-alpha5' } Este es mi archivo gradle-wrapper.properties: #Tue Jan 05 13:28:23 CET 2016 distributionBase=GRADLE_USER_HOME distributionPath=wrapper/dists zipStoreBase=GRADLE_USER_HOME zipStorePath=wrapper/dists […]

Generar APK firmado en Android Studio

Hay algunas preguntas relacionadas con mi pregunta en Stackoverflow, tales como: ¿Cómo puedo exportar un proyecto en el estudio de Android? Cómo crear una versión firmada apk archivo utilizando Gradle Ellos son buenos. Pero todavía me confunden. Cuando seleccioné Build-> Generate firmado APK en Android Studio, recibí este mensaje de advertencia: ¿Qué significa esto? ¿Significa […]

Proyecto Unity como dependencia en Gradle

Estoy tratando de importar un proyecto unity3d a mi proyecto android como un módulo. Todo está bien, gradle sync finish sin error, pero cuando agrego proyecto de unidad como dependencia a mi proyecto y ejecuto gradle sync entonces dice: Error:Dependency myapplication:unityproject:unspecified on project app resolves to an APK archive which is not supported as a […]

Gradle: Cómo excluir javax.realtime paquete de JScience jar dependencia (Multiple dex define)

Estoy usando Gradle en mi aplicación Android y me gustaría usar la dependencia de la biblioteca JScience. He añadido la biblioteca de esta manera: dependencies { compile fileTree(dir: 'libs', include: '*.jar') compile 'org.jscience:jscience:4.3.1' testCompile group: 'junit', name: 'junit', version: '4.11' } Pero en el tiempo de compilación obtengo el error: UNEXPECTED TOP-LEVEL EXCEPTION: com.android.dex.DexException: Multiple […]

DexIndexOverflowException sólo al ejecutar pruebas

Puedo crear y ejecutar correctamente mi aplicación para Android en mis variantes de depuración y liberación sin ningún problema. Sin embargo, cuando intento ejecutar mis nuevas pruebas de unidad (nunca las tuve antes), tengo la temida DexIndexOverflowException . Sospecho que ProGuard no se está ejecutando con mis pruebas de unidad, pero es con mis depuración […]

Integración de dependencias de Android Studio y Gradle

Estoy siguiendo este tutorial, pero con Android Studio. He realizado los siguientes pasos: Creación de un nuevo proyecto en Android Studio Agregar el OpenCV-2.4.5-sdk / sdk / java como un módulo Hizo clic derecho en mi módulo principal-> Cambiar la configuración del módulo-> agregó el módulo opencv anterior como una dependencia Para mi MainActivity utilicé […]

Error del compilador JACK de Android después de la actualización a la última biblioteca de soporte

—Android Studio 2.2.3 (Windows 10 64 bits) –Build Tools versión 25 –Android Gradle Plugin Versión 2.2.3 Después de la actualización a las bibliotecas de soporte más recientes (25.1.0 de 23.4.0) y el cambio de la versión de compilación (25 de 23) obtengo este error: Error: com.android.sched.util.config.PropertyIdException: Propiedad 'jack.library.import' (en Opciones): elemento # 7: La versión […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.